{% extends 'layouts/base.html.twig' %}

{% block title %}Liste d'employés{% endblock %}

{% block body %}
<div class="row">
    <div class="col-md-12">
        {% include 'form/_search.twig.html' %}
    </div>
    {% if is_granted('ROLE_ADMIN') %}
    <div class="col-md-12">
        <a href="{{ path('app_employe_add' )}}" class="btn btn-dark"><i class="fa-sharp fa-solid fa-plus"></i> Ajouter un nouvel employé </a>
    </div>
    {% endif %}

    <div class="col-md-12">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nom Prénom</th>
                    <th scope="col"></th>
                </tr>
            </thead>
            <tbody>
                {% for employe in employes %}
                <tr>
                    <th scope="row">{{ employe.id }}</th>
                    <td><a href="{{ path('app_employe_show', {id: employe.id}) }}"> {{ employe.nomcomplet }} </a></td>
                    <td class="text-end">
                        <div class="dropdown-center">
                            <button class="btn btn-dark dropdown-toggle" type="button" data-bs-toggle="dropdown" aria-expanded="false">
                                <i class="fa-solid fa-ellipsis"></i>
                            </button>
                            <ul class="dropdown-menu">
                                <li><a href="{{ path('app_employe_show', {id: employe.id}) }}" class="dropdown-item"><i class="fa-solid fa-eye"></i> Voir</a></li>
                                {% if is_granted('ROLE_ADMIN') %}
                                <li><a href="{{ path('app_employe_edit', {id: employe.id}) }}" class="dropdown-item"><i class="fa-solid fa-pen-to-square"></i> Éditer</a></li>
                                {% endif %}
                            </ul>
                        </div>
                    </td>
                </tr>
                {% endfor %}
            </tbody>
            </table>
    </div>
</div>
  
{% endblock %}